namespace WorkerWithTwoServices;

public class Worker1(SharedData sharedData) : BackgroundService
{
    public static TimeOnly SharedTime {get; private set;}

    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        while (!stoppingToken.IsCancellationRequested)
        {
            Console.WriteLine($"Worker1 setting counter to {++sharedData.Counter}");
            SharedTime = TimeOnly.FromDateTime(DateTime.Now);
            await Task.Delay(200, stoppingToken);
        }
    }
}
