namespace WorkerWithTwoServices;

public class Worker2(SharedData sharedData) : BackgroundService
{
    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        while (!stoppingToken.IsCancellationRequested)
        {
            Console.WriteLine($"\tWorker2 counter value is {sharedData.Counter}");
            Console.WriteLine($"\tWorker2 Shared DateTime is {Worker1.SharedTime.ToLongTimeString()}");
            await Task.Delay(1000, stoppingToken);
        }
    }
}
